## org.apache.commons.collections.map
Class AbstractHashedMap.KeySet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              org.apache.commons.collections.map.AbstractHashedMap.KeySet

All Implemented Interfaces:
  Collection, Set

Enclosing class:
  AbstractHashedMap

protected static class AbstractHashedMap.KeySet
extends AbstractSet

KeySet implementation.

Field Summary
`protected AbstractHashedMap` `parent` The parent map

Constructor Summary
`protected` `AbstractHashedMap.KeySet(AbstractHashedMap parent)`

Method Summary
`void` `clear()`
`boolean` `contains(Object key)`
`Iterator` `iterator()`
`boolean` `remove(Object key)`
`int` `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, isEmpty, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, containsAll, isEmpty, retainAll, toArray, toArray`

Field Detail

### parent

    protected final AbstractHashedMap parent

  The parent map

Constructor Detail

### AbstractHashedMap.KeySet

    protected AbstractHashedMap.KeySet(AbstractHashedMap parent)

Method Detail

### size

    public int size()

### clear

    public void clear()

### contains

    public boolean contains(Object key)

### remove

    public boolean remove(Object key)

### iterator

    public Iterator iterator()

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.